Bug 26125 - In 'Patron search' tab link should lead to patron details instead of checkout screen
Summary: In 'Patron search' tab link should lead to patron details instead of checkout...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: didier
QA Contact: Testopia
URL:
Keywords:
Depends on: 23697
Blocks:
  Show dependency treegraph
 
Reported: 2020-08-03 06:37 UTC by didier
Modified: 2020-08-16 22:29 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 26125: (bug 23697 follow-up) open patron's details in autocompletion search (1.52 KB, patch)
2020-08-03 08:00 UTC, didier
Details | Diff | Splinter Review
Bug 26125: (bug 23697 follow-up) open patron's details in autocompletion search (1.59 KB, patch)
2020-08-03 10:07 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26125: (bug 23697 follow-up) open patron's details in autocompletion search (1.64 KB, patch)
2020-08-05 20:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description didier 2020-08-03 06:37:23 UTC
Likely a copy and paste thinko.
Comment 1 didier 2020-08-03 08:00:09 UTC
Created attachment 107681 [details] [review]
Bug 26125: (bug 23697 follow-up) open patron's details in autocompletion search

Test plan:

1 - Enable PatronAutoComplete syspref
2 - Go to "Patrons" (members/members-home.pl)
3 - Enter a patron first letters in "Search Patron" tab
4 - Select a patron
5 - You're wrongly redirected in koha/circ/circulation.pl
6 - Apply patch
7 - Repeat 3, 4
8 - You're correctly redirected in koha/members/moremember.pl
9 - double check "Check out" redirect hasn't changed
Comment 2 ByWater Sandboxes 2020-08-03 10:07:10 UTC
Created attachment 107684 [details] [review]
Bug 26125: (bug 23697 follow-up) open patron's details in autocompletion search

Test plan:

1 - Enable PatronAutoComplete syspref
2 - Go to "Patrons" (members/members-home.pl)
3 - Enter a patron first letters in "Search Patron" tab
4 - Select a patron
5 - You're wrongly redirected in koha/circ/circulation.pl
6 - Apply patch
7 - Repeat 3, 4
8 - You're correctly redirected in koha/members/moremember.pl
9 - double check "Check out" redirect hasn't changed

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Katrin Fischer 2020-08-05 20:10:32 UTC
Created attachment 107861 [details] [review]
Bug 26125: (bug 23697 follow-up) open patron's details in autocompletion search

Test plan:

1 - Enable PatronAutoComplete syspref
2 - Go to "Patrons" (members/members-home.pl)
3 - Enter a patron first letters in "Search Patron" tab
4 - Select a patron
5 - You're wrongly redirected in koha/circ/circulation.pl
6 - Apply patch
7 - Repeat 3, 4
8 - You're correctly redirected in koha/members/moremember.pl
9 - double check "Check out" redirect hasn't changed

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-06 09:38:35 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-08-14 21:09:28 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-16 22:29:51 UTC
bug doesn't exist in 19.11.x, not backported